# Interface RcsbFv3DComponentInterface<T, R, L, S, U>

#### Type Parameters

- #### T

- #### R

- #### L

- #### S

- #### U

#### Hierarchy

- RcsbFv3DComponentInterface

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:29

#####
Index

### Properties

cssConfig?
ctxManager
fullScreen
id
sequencePanelConfig
structurePanelConfig
structureViewer
structureViewerBehaviourObserver
unmount

## Properties

### `Optional` cssConfig

cssConfig?: RcsbFv3DCssConfig

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:34

### ctxManager

ctxManager: RcsbFvContextManager<T, R, S, U>

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:33

### fullScreen

fullScreen: boolean

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:36

### id

id: string

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:32

### sequencePanelConfig

sequencePanelConfig: RcsbFvSequenceInterface<T, U>

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:31

### structurePanelConfig

structurePanelConfig: RcsbFvStructureConfigInterface<R, S>

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:30

### structureViewer

structureViewer: StructureViewerInterface<R, L, S>

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:37

### structureViewerBehaviourObserver

structureViewerBehaviourObserver: StructureViewerBehaviourObserverInterface<R, L>

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:38

### unmount

unmount: ((flag) => void)

#### Type declaration

- - (flag): void

  - #### Parameters

    - ##### flag: boolean

    #### Returns void

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:35

Generated using TypeDoc